summaryrefslogtreecommitdiffhomepage
path: root/scripts/gen-authors.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/gen-authors.sh')
-rwxr-xr-xscripts/gen-authors.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/gen-authors.sh b/scripts/gen-authors.sh
new file mode 100755
index 0000000..671f0c1
--- /dev/null
+++ b/scripts/gen-authors.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+SCRIPT_DIR="$(cd "$(dirname "${0}")" && pwd)"
+BASE_DIR="$(cd "${SCRIPT_DIR}/.." && pwd)"
+AUTHORS_FILE="${BASE_DIR}/AUTHORS"
+
+type git > /dev/null || exit
+test -d "${BASE_DIR}/.git" || exit
+
+git log --all --format='%aN' | sort -u > "${AUTHORS_FILE}"